commit:     f379e65bc7843c42faaf372b87a035932f78cb2b
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 20 19:22:04 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 13:40:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f379e65b

dev-python/ujson: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/ujson/ujson-1.33.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-python/ujson/ujson-1.33.ebuild 
b/dev-python/ujson/ujson-1.33.ebuild
index 83591d2..b0660cb 100644
--- a/dev-python/ujson/ujson-1.33.ebuild
+++ b/dev-python/ujson/ujson-1.33.ebuild
@@ -2,11 +2,11 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI="5"
+EAPI=5
 
 # One test; FAIL: test_encodeToUTF8 (__main__.UltraJSONTests) under py2.5.
 # Fix and repair and re-insert if it's REALLY needed
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 inherit distutils-r1
 
@@ -35,7 +35,7 @@ python_test() {
        if [[ "${EPYTHON}" =~ 'python3' ]]; then
                cd "${BUILD_DIR}"/lib || die
                cp -a "${S}"/tests/ .  || die
-               2to3 -w tests/tests.py
+               2to3 -w tests/tests.py || die
                "${PYTHON}" tests/tests.py || die
                rm -rf tests/ || die
        else

Reply via email to